.xxx-fallback-promo__fullscreen {
    pointer-events: none;
    position: fixed;
    z-index: -1;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    opacity: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: rgba(0, 0, 0, 0);
    transition: opacity 0.55s, background-color 0.55s;
}

.xxx-fallback-promo__fullscreen.active-anim {
    pointer-events: auto;
    opacity: 1;
    background-color: rgba(0, 0, 0, 0.5);
    z-index: 1020;
}

.xxx-fallback-promo__fullscreen .xxx-fallback-promo__container {
    position: relative;
    z-index: 1;
    margin-right: 15px;
    margin-left: 15px;
    width: 680px;
    max-width: 100%;
}

.xxx-fallback-promo__fullscreen .xxx-fallback-promo__body {
    position: relative;
    pointer-events: none;
    border-radius: 3px;
    overflow: hidden;
    transform: scale(0.5);
    opacity: 0;
    transition: transform 0.55s, opacity 0.55s;
}

.xxx-fallback-promo__fullscreen.active-anim .xxx-fallback-promo__body {
    pointer-events: auto;
    transform: scale(1);
    opacity: 1;
}

.xxx-fallback-promo__fullscreen .xxx-fallback-promo__absolute-link {
    position: absolute;
    z-index: 10;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    cursor: pointer;
}

.xxx-fallback-promo__fullscreen .xxx-fallback-promo__media {
    display: block;
    width: 100%;
    max-width: 100%;
    height: auto;
}

.xxx-fallback-promo__fullscreen .xxx-fallback-promo__btn-close {
    position: absolute;
    z-index: 15;
    cursor: pointer;
    top: 0;
    right: 0;
    width: 60px;
    height: 60px;
    padding: 5px;
    border: none;
    outline: none;
    border-radius: 3px;
    background-color: transparent;
    display: flex;
    justify-content: center;
    align-items: center;
    color: #fff;
    line-height: 1;
}

.xxx-fallback-promo__fullscreen .xxx-fallback-promo__btn-close::before,
.xxx-fallback-promo__fullscreen .xxx-fallback-promo__btn-close::after {
    position: absolute;
    top: 15px;
    content: ' ';
    height: 30px;
    width: 2px;
    background-color: #fff;
}

.xxx-fallback-promo__fullscreen .xxx-fallback-promo__btn-close::before {
    transform: rotate(45deg);
}

.xxx-fallback-promo__fullscreen .xxx-fallback-promo__btn-close::after {
    transform: rotate(-45deg);
}

@media screen and (max-width: 767px) {
    .xxx-fallback-promo__fullscreen .xxx-fallback-promo__container {
        width: 300px;
    }

    .xxx-fallback-promo__fullscreen .xxx-fallback-promo__btn-close {
        width: 40px;
        height: 40px;
    }

    .xxx-fallback-promo__fullscreen .xxx-fallback-promo__btn-close::before,
    .xxx-fallback-promo__fullscreen .xxx-fallback-promo__btn-close::after {
        top: 10px;
        height: 20px;
    }
}
